/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IRadioGroupAdapter } from './radio-group-adapter';
export interface IRadioGroupFoundation extends ICustomElementFoundation {
    disabled: boolean;
}
export declare class RadioGroupFoundation implements IRadioGroupFoundation {
    private _adapter;
    private _disabled;
    private readonly _labelConnectedListener;
    constructor(_adapter: IRadioGroupAdapter);
    initialize(): void;
    private _handleLabelConnected;
    get disabled(): boolean;
    set disabled(value: boolean);
}
